# group.query

Query groups with query-filters and query-options.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: filters

#### filters

Type: array Default: []
No Additional Items

##### Each item of this array must be:

Type: object

##### Parameter 2: options

#### options

Type: object
Default:
{ "relationships": true, "extend": null, "extend_context": null, "prefix": null, "extra": {}, "order_by": [], "select": [], "count": false, "get": false, "offset": 0, "limit": 0, "force_sql_filters": false }
No Additional Properties

##

#### Relationships

Type: boolean Default: true

##

#### Extend

Default: null

## Any of

Type: string
Type: null

##

#### Extend Context

Default: null

## Any of

Type: string
Type: null

##

#### Prefix

Default: null

## Any of

Type: string
Type: null

##

#### Extra

Type: object Default: {}

##

#### Order By

Type: array of string Default: []
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Select

Type: array Default: []
No Additional Items

##### Each item of this array must be:

## Any of

Type: string
Type: array
No Additional Items

##### Each item of this array must be:

Type: object

##

#### Count

Type: boolean Default: false

##

#### Get

Type: boolean Default: false

##

#### Offset

Type: integer Default: 0

##

#### Limit

Type: integer Default: 0

##

#### Force Sql Filters

Type: boolean Default: false

##

#### Result

## Any of

Type: array of object
No Additional Items

##### Each item of this array must be:

#### GroupQueryResultItem

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### Gid

Type: integer

##

#### Name

Type: string

Must be at least `1` characters long

##

#### Builtin

Type: boolean

##

#### Sudo Commands

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

Must be at least `1` characters long

##

#### Sudo Commands Nopasswd

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

Must be at least `1` characters long

##

#### Smb

Type: boolean

Specifies whether the group should be mapped into an NT group.

##

#### Userns Idmap

Specifies the subgid mapping for this group. If DIRECT then the GID will be
directly mapped to all containers. Alternatively, the target GID may be
explicitly specified. If None, then the GID will not be mapped.

NOTE: this field will be ignored for groups that have been assigned
TrueNAS roles.

## Any of

Type: const
Specific value: `"DIRECT"`
Type: integer

Value must be greater or equal to `1` and lesser or equal to `4294967294`

Type: null

##

#### Group

Type: string

Must be at least `1` characters long

##

#### Id Type Both

Type: boolean

##

#### Local

Type: boolean

##

#### Sid

## Any of

Type: string
Type: null

##

#### Roles

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Users

Type: array of integer

A list of user ids (`id` attribute from `user.query`).

No Additional Items

##### Each item of this array must be:

Type: integer

#### GroupQueryResultItem

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### Gid

Type: integer

##

#### Name

Type: string

Must be at least `1` characters long

##

#### Builtin

Type: boolean

##

#### Sudo Commands

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

Must be at least `1` characters long

##

#### Sudo Commands Nopasswd

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

Must be at least `1` characters long

##

#### Smb

Type: boolean

Specifies whether the group should be mapped into an NT group.

##

#### Userns Idmap

Specifies the subgid mapping for this group. If DIRECT then the GID will be
directly mapped to all containers. Alternatively, the target GID may be
explicitly specified. If None, then the GID will not be mapped.

NOTE: this field will be ignored for groups that have been assigned
TrueNAS roles.

## Any of

Type: const
Specific value: `"DIRECT"`
Type: integer

Value must be greater or equal to `1` and lesser or equal to `4294967294`

Type: null

##

#### Group

Type: string

Must be at least `1` characters long

##

#### Id Type Both

Type: boolean

##

#### Local

Type: boolean

##

#### Sid

## Any of

Type: string
Type: null

##

#### Roles

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Users

Type: array of integer

A list of user ids (`id` attribute from `user.query`).

No Additional Items

##### Each item of this array must be:

Type: integer
Type: integer

Required roles: ACCOUNT_READ